## ros-kinetic-turtlebot3-gazebo 1.3.1

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 2.8.3)
project(turtlebot3_gazebo)

## Compile as C++11, supported in ROS Kinetic and newer
add_compile_options(-std=c++11)

################################################################################
# Find catkin packages and libraries for catkin and system dependencies
################################################################################
find_package(catkin REQUIRED COMPONENTS
  roscpp
  std_msgs
  sensor_msgs
  geometry_msgs
  nav_msgs
  tf
  gazebo_ros
)

find_package(gazebo REQUIRED)

################################################################################
# Setup for python modules and scripts
################################################################################

################################################################################
# Declare ROS messages, services and actions
################################################################################

################################################################################
# Declare ROS dynamic reconfigure parameters
################################################################################

################################################################################
# Declare catkin specific configuration to be passed to dependent projects
################################################################################
catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS roscpp std_msgs sensor_msgs geometry_msgs nav_msgs tf gazebo_ros
  DEPENDS gazebo
)

################################################################################
# Build
################################################################################
link_directories(${GAZEBO_LIBRARY_DIRS})

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${GAZEBO_INCLUDE_DIRS}
)

add_executable(turtlebot3_drive src/turtlebot3_drive.cpp)
add_dependencies(turtlebot3_drive ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(turtlebot3_drive ${catkin_LIBRARIES} ${GAZEBO_LIBRARIES})

################################################################################
# Install
################################################################################
install(TARGETS turtlebot3_drive
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(DIRECTORY launch models rviz worlds 
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

################################################################################
# Test
################################################################################

=== debian/changelog ===
ros-kinetic-turtlebot3-gazebo (1.3.1-1xenial) xenial; urgency=high

  * fix init() in turtlebot3_drive.cpp
  * Apply low poly models
  * Noetic release
  * Contributors: Sean Yen, Will Son

 -- Will Son <willson@robotis.com>  Wed, 06 Jan 2021 15:00:00 -0000

ros-kinetic-turtlebot3-gazebo (1.3.0-1xenial) xenial; urgency=high

  * fix ROS Assert issue when debugging (#124)
  * added TurtleBot3 Autorace 2020 (#108)
  * added turtlebot3_description to dependency list (#104)
  * removed *nix path separator (#92)
  * removed unnecessary gazebo plugin_path (#78)
  * Contributors: Sean Yen, Ashe Kim, Mikael Arguedas, Ben Wolsieffer

 -- Will Son <willson@robotis.com>  Mon, 28 Sep 2020 15:00:00 -0000

ros-kinetic-turtlebot3-gazebo (1.2.0-1xenial) xenial; urgency=high

  * moved <scene> into <world> #65 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/65>
  * modified ML stage
  * delete unused param
  * update algorithm and modified variable more clearly
  * Contributors: Darby Lim, Gilbert, Louise Poubel, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 21 Jan 2019 15:00:00 -0000

ros-kinetic-turtlebot3-gazebo (1.1.0-1xenial) xenial; urgency=high

  * modified uri path
  * modified autorace
  * delete remap
  * Contributors: Darby Lim, Gilbert, Pyo

 -- Pyo <pyo@robotis.com>  Thu, 19 Jul 2018 15:00:00 -0000

ros-kinetic-turtlebot3-gazebo (1.0.2-1xenial) xenial; urgency=high

  * added mission.launch modified model.sdf
  * deleted turtlebot3's gazebo plugins
  * modified autorace gazebo
  * merged pull request #53 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/53> #52 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/52> #51 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/51> #50 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/50> #49 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/49>
  * Contributors: Gilbert, Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Thu, 31 May 2018 15:00:00 -0000

ros-kinetic-turtlebot3-gazebo (1.0.1-1xenial) xenial; urgency=high

  * resolving dependency issues:
    http://build.ros.org/job/Kbin_dj_dJ64__turtlebot3_gazebo__debian_jessie_amd64__binary/2/
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Tue, 29 May 2018 15:00:00 -0000

ros-kinetic-turtlebot3-gazebo (1.0.0-1xenial) xenial; urgency=high

  * added world for turtlebot3_autorace
  * added world for turtlebot3_machine_learning
  * merged pull request #46 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/46> from AuTURBO/develop
    add turtlebot3_autorace world'
  * merged pull request #48 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/48> #47 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/47> #44 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/44> #42 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/42> #41 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/41>
  * Contributors: Darby Lim, Gilbert, hyunoklee, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 28 May 2018 15:00:00 -0000

ros-kinetic-turtlebot3-gazebo (0.2.4-1xenial) xenial; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-kinetic-turtlebot3-gazebo (0.2.3-1xenial) xenial; urgency=high

  * solved DuplicateVersionsException error
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-kinetic-turtlebot3-gazebo (0.2.2-1xenial) xenial; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-kinetic-turtlebot3-gazebo (0.2.1-1xenial) xenial; urgency=high

  * added worlds for gazebo and turtlebot3
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-kinetic-turtlebot3-gazebo (0.2.0-1xenial) xenial; urgency=high

  * added slam with multiple tb3
  * added multi example
  * added turtlebot3_house
  * modified cmake file
  * modified spwn model name
  * modified multi slam param
  * modified camera position
  * modified folder name
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Mon, 12 Mar 2018 15:00:00 -0000

ros-kinetic-turtlebot3-gazebo (0.1.7-1xenial) xenial; urgency=high

  * renamed missed the install rule (worlds -> models)
  * Contributors: Darby Lim, Tully Foote

 -- Pyo <pyo@robotis.com>  Tue, 15 Aug 2017 15:00:00 -0000

ros-kinetic-turtlebot3-gazebo (0.1.6-1xenial) xenial; urgency=high

  * modified folder name and model path
  * updated rviz and add static tf publisher for depth camera
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Sun, 13 Aug 2017 15:00:00 -0000

ros-kinetic-turtlebot3-gazebo (0.1.5-1xenial) xenial; urgency=high

  * modified make files for dependencies
  * updated turtlebot3 sim
  * updated world config
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Thu, 08 Jun 2017 15:00:00 -0000

ros-kinetic-turtlebot3-gazebo (0.1.4-1xenial) xenial; urgency=high

  * added as new meta-packages and version update (0.1.4)
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 22 May 2017 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-turtlebot3-gazebo
Section: misc
Priority: optional
Maintainer: Will Son <willson@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-gazebo-ros, ros-kinetic-geometry-msgs, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf
Homepage: http://wiki.ros.org/turtlebot3_gazebo
Standards-Version: 3.9.2

Package: ros-kinetic-turtlebot3-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gazebo7, ros-kinetic-gazebo-ros, ros-kinetic-geometry-msgs, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-turtlebot3-description
Description: Gazebo simulation package for the TurtleBot3

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-turtlebot3-gazebo//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
